PCI_HP_CHANGE_SLOT_I(9)

NAME
pci_hp_change_slot_info - changes the slot's information structure in the core

SYNOPSIS

int pci_hp_change_slot_info(struct hotplug_slot * hotplug, struct hotplug_slot_info * info);

ARGUMENTS

hotplug
    pointer to the slot whose info has changed

info
    pointer to the info copy into the slot's info structure

DESCRIPTION

slot must have been registered with the pci hotplug subsystem previously with a call to pci_hp_register.

Returns 0 if successful, anything else for an error.

COPYRIGHT